import java.util.Scanner;
public class ArraySearch {
    public static void main(String args[]){
        Scanner sc = new Scanner(System.in);
        int flag=0,index=0;

        int[] array = {1,2,3,1,5,6,1,8,9};

        System.out.println("Enter the search value:");
        int b = sc.nextInt();

        System.out.println("The value is found at the locations: ");


        for(int i:array){
            if(i == b){
                System.out.print(" a["+index+"]");
                flag++;
            }
            index++;
        }

        if(flag==0){
            System.out.print("None. The input value does not exist in the array.");
        }
    }
}
